(function() {
	tinymce.create('tinymce.plugins.st_youtube', {
		init : function(ed, url) {
			ed.addButton('st_youtube', {
				title : 'Youtube video shortcode',
				image : url+'/youtube.png',
				onclick : function() {
					idPattern = /(?:(?:[^v]+)+v.)?([^&=]{11})(?=&|$)/;
					var vidId = prompt("YouTube Video", "Enter the id or url for your video");
					var m = idPattern.exec(vidId);
					if (m != null && m != 'undefined')
						ed.execCommand('mceInsertContent', false, '[youtube id="'+m[1]+'" width="560" height="315"]');
				}
			});
		},
		createControl : function(n, cm) {
			return null;
		},
		getInfo : function() {
			return {
				longname : "YouTube Shortcode",
				version : "1.0"
			};
		}
	});
	tinymce.PluginManager.add('st_youtube', tinymce.plugins.st_youtube);
})();