<?php

/*
Plugin Name: St Youtube
Plugin URI: http://www.veblebi.com/wordpress-tnymce-youtube-plugin/
Description: Youtube Eklentisi
Version: 1.0
Author: Sinan Tekmil
Author URI: http://www.veblebi.com
License: GPLv2
 
1. Download and unzip the latest release zip file
2. Upload directory to your `/wp-content/plugins/`
3. Activate the plugin through the 'Plugins' menu in WordPress
*/

// add the shortcode handler for YouTube videos
function st_addYouTube($atts, $content = null) {
        extract(shortcode_atts(
		array( "id" => '', "width" => null, 'height'=>null ), $atts));
		if(intval($width) == false || $width == null ) $width = 560;
		if(intval($height) == false|| $height== null ) $height = 315;
        return '<div class="st-video" style="display:inline;max-width:100%;">
				<div class="st-video-container">
				<iframe src="//www.youtube.com/embed/'.$id.'?wmode=transparent" style="width:'.$width.'px;max-width:100% !important;height:'.$height.'px; max-height:100% !important" frameborder="0" allowfullscreen></iframe>
				</div>
			</div>';
}
add_shortcode('youtube', 'st_addYouTube');
function add_youtube_button() {
   // Don't bother doing this stuff if the current user lacks permissions
   if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
     return;
 
   // Add only in Rich Editor mode
   if ( get_user_option('rich_editing') == 'true') {
     add_filter("mce_external_plugins", "add_youtube_tinymce_plugin");
     add_filter('mce_buttons', 'register_youtube_button');
   }
}
 
function register_youtube_button($buttons) {
   array_push($buttons, "|", "st_youtube");
   return $buttons;
}
 
// Load the TinyMCE plugin : editor_plugin.js (wp2.5)
function add_youtube_tinymce_plugin($plugin_array) {
   $plugin_array['st_youtube'] = plugin_dir_url( __FILE__ ) .'/editor_plugin.js';
   return $plugin_array;
}
 
function my_refresh_mce($ver) {
  $ver += 3;
  return $ver;
}

// init process for button control
add_filter( 'tiny_mce_version', 'my_refresh_mce');
add_action('init', 'add_youtube_button');
?>